meanwhile: mw_util.h File Reference

# mw_util.h File Reference

`#include <glib.h>`
`#include <glib/ghash.h>`
`#include <glib/glist.h>`

Go to the source code of this file.

## Data Structures
struct | mw_datum
## Defines
#define | map_guint_insert(ht, key, val) g_hash_table_insert((ht), GUINT_TO_POINTER((guint)(key)), (val))
#define | map_guint_lookup(ht, key) g_hash_table_lookup((ht), GUINT_TO_POINTER((guint)(key)))
#define | map_guint_new() g_hash_table_new(g_direct_hash, g_direct_equal)
#define | map_guint_new_full(valfree) g_hash_table_new_full(g_direct_hash, g_direct_equal, NULL, (valfree))
#define | map_guint_remove(ht, key) g_hash_table_remove((ht), GUINT_TO_POINTER((guint)(key)))
#define | map_guint_replace(ht, key, val) g_hash_table_replace((ht), GUINT_TO_POINTER((guint)(key)), (val))
#define | map_guint_steal(ht, key) g_hash_table_steal((ht), GUINT_TO_POINTER((guint)(key)))
## Functions
GList * | map_collect_keys (GHashTable *ht)
GList * | map_collect_values (GHashTable *ht)
void | mw_datum_clear (struct mw_datum *d)
void | mw_datum_free (struct mw_datum *d)
gpointer | mw_datum_get (struct mw_datum *d)
struct mw_datum * | mw_datum_new (gpointer data, GDestroyNotify clear)
void | mw_datum_set (struct mw_datum *d, gpointer data, GDestroyNotify clear)

## Define Documentation

#define map_guint_insert | ( | ht,
|  | key,
|  | val |  | ) | g_hash_table_insert((ht), GUINT_TO_POINTER((guint)(key)), (val))

#define map_guint_lookup | ( | ht,
|  | key |  | ) | g_hash_table_lookup((ht), GUINT_TO_POINTER((guint)(key)))

#define map_guint_new | ( |  | ) | g_hash_table_new(g_direct_hash, g_direct_equal)

#define map_guint_new_full | ( | valfree |  | ) | g_hash_table_new_full(g_direct_hash, g_direct_equal, NULL, (valfree))

#define map_guint_remove | ( | ht,
|  | key |  | ) | g_hash_table_remove((ht), GUINT_TO_POINTER((guint)(key)))

#define map_guint_replace | ( | ht,
|  | key,
|  | val |  | ) | g_hash_table_replace((ht), GUINT_TO_POINTER((guint)(key)), (val))

#define map_guint_steal | ( | ht,
|  | key |  | ) | g_hash_table_steal((ht), GUINT_TO_POINTER((guint)(key)))

## Function Documentation

GList* map_collect_keys | ( | GHashTable * | ht | ) |

GList* map_collect_values | ( | GHashTable * | ht | ) |

void mw_datum_clear | ( | struct mw_datum * | d | ) |

void mw_datum_free | ( | struct mw_datum * | d | ) |

gpointer mw_datum_get | ( | struct mw_datum * | d | ) |

struct mw_datum* mw_datum_new | ( | gpointer | data,
|  | GDestroyNotify | clear |
| ) |  |  | `[read]`

void mw_datum_set | ( | struct mw_datum * | d,
|  | gpointer | data,
|  | GDestroyNotify | clear |
| ) |  |  |